Desktop File

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

POST
GET

Create desktop file system undo delete

The file tree for the desktop product surface. Reuses all FileSystemViewSet behaviour but is scoped to the "desktop" surface, so its tree is fully isolated from the default "web" tree.

Adds per-folder, versioned markdown instructions describing the contents of a folder.

Required API key scopes

file_system:write

Request parameters

  • path
    string
  • type
    string
  • ref
    stringnull
  • href
    stringnull
  • meta
  • shortcut
    booleannull

Example request

POST /api/projects/:project_id/desktop_file_system/undo_delete
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/desktop_file_system/undo_delete/\
-d path="string"

Example response

Status 200 No response body

Retrieve desktop file system unfiled

The file tree for the desktop product surface. Reuses all FileSystemViewSet behaviour but is scoped to the "desktop" surface, so its tree is fully isolated from the default "web" tree.

Adds per-folder, versioned markdown instructions describing the contents of a folder.

Required API key scopes

file_system:read

Example request

GET /api/projects/:project_id/desktop_file_system/unfiled
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/desktop_file_system/unfiled/

Example response

Status 200 No response body

Community questions

Questions about this page? or post a community question.